Bug 218722 - Review Request: perl-File-ExtAttr - Perl extension for accessing extended attributes of files
Review Request: perl-File-ExtAttr - Perl extension for accessing extended att...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/File-ExtA...
:
Depends On: 218721
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-06 19:07 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 11:20:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-12-06 19:07:52 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-File-ExtAttr-1.01-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-File-ExtAttr.spec

Description:
File::ExtAttr is a Perl module providing access to the extended
attributes of files.
Comment 1 Parag AN(पराग) 2006-12-07 02:24:00 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
340734da69677861b80e52c41297ec8e  File-ExtAttr-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used and its failed in mock build is
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 2 Chris Weyl 2006-12-07 11:20:28 EST
Imported and building for devel; branches requested for FC-[56].

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.